This readme is just a copy of the wiki page of the git project.




Home------------------------------------------------------------------------------------------------------

This matlab code performs the ISR calibration and subphase correction code published in Verwijlen et al. (2011, dx.doi.org/10.1021/la201109u) [2011_Verwijlen_Flow_field_in_the_magnetic_isr.pdf].

Please have a look at [20180110_ISRmeasurement_template.xlsx] in order to format your input data.

To launch the code, run the graphical user interface `ISR_Analysis_GUI_v2.m`.

[Calibration](./Calibration)

[Nonlinear correction](./Nonlinear correction)

During calibration and data processing, many files are stored in a subfolder called *analysis*.
In case you only perform the nonlinear correction, you will be prompted to specify the location of your calibration file, which has been saved earlier during the calibration process.

Common bug: Once matlab has written data to the xlsx file, the reading process fails somehow. Just open the file, add and delete some random text and save the file. This should solve the problem.
----------------------------------------------------------------------------------------------------------




Calibration----------------------------------------------------------------------------------------------
Please enter details about the setup and used geometry in the first excel sheet which **has to be called** *CalibrationParameters*. The unit of each variable is attached to each variable name. Leave column K-N blank.


Enter the acquired data during the calibration in the second sheet called *CalibrationData* in column A-K. Amplitude ratio is the ratio of displacement amplitude to current amplitude and the phase angle is positive. Columns C-K are not used by the code and can also left blank.

In case there are multiple times the same frequency, errorbar plots will appear and the mean is used for fitting.

Once the calibration is finished, Columns K-N in sheet *CalibrationParameters* and L-Y in sheet *CalibrationData* is written to the xlsx-file.

The calibration procedure uses the subphase correction algorithm with $`Bo^*=0`$ and is described in the microwire paper by Tajuelo et al. (2015, DOI: 10.1021/la5038316).

Results:
* $`k =`$ spring constant accordint to instrument compliance, unit = N/m
* $`E =`$ conversion factor of amplitude ratio from the final unit N/m to the measured quantities Current/pixel 

such that 
```math
\left(\frac{F}{z^*}\right)_{calculated} = i2L \omega \eta_{bulk}  \int_{0}^{\pi/2}\left(-\frac{\partial g}{\partial p}\right)_{p=0} d\theta + k - m_{needle} \omega^2
```

and
```math
\left(\frac{F}{z^*}\right)_{measured} = E \cdot \left(\frac{F}{z^*}\right)_{calculated}
```
---------------------------------------------------------------------------------------------------------




Nonliner Correction -------------------------------------------------------------------------------------
As stated before, this code is published in Verwijlen et al. (2011, dx.doi.org/10.1021/la201109u).

Name the worksheets unambiguous (e.g. `Rheo_Pi05`, `Rheo_Pi15`, etc.).

Enter your acquired data in columns A-L. Column C-H and J-K are not used by the code and can be left blank. Here each data point is processed and no standard deviations are calculated.

Once the data processing is finished, the ouptut is written in columns M-U.
----------------------------------------------------------------------------------------------------------

